Connect PagerDuty
GET/accounts/{account_id}/alerting/v3/destinations/pagerduty/connect/{token_id}
Links PagerDuty with the account using the integration token.
Security
API Token
The preferred authorization scheme for interacting with the Cloudflare API. Create a token.
Example:
API Email + API Key
The previous authorization scheme for interacting with the Cloudflare API, used in conjunction with a Global API key.
Example:
The previous authorization scheme for interacting with the Cloudflare API. When possible, use API tokens instead of Global API keys.
Example:
Accepted Permissions (at least one required)
Path Parameters
Connect PagerDuty
curl https://api.cloudflare.com/client/v4/accounts/$ACCOUNT_ID/alerting/v3/destinations/pagerduty/connect/$TOKEN_ID \
-H "Authorization: Bearer $CLOUDFLARE_API_TOKEN"{
"errors": [
{
"message": "message",
"code": 1000
}
],
"messages": [
{
"message": "message",
"code": 1000
}
],
"success": true,
"result": {
"id": "f174e90afafe4643bbbc4a0ed4fc8415"
}
}Returns Examples
{
"errors": [
{
"message": "message",
"code": 1000
}
],
"messages": [
{
"message": "message",
"code": 1000
}
],
"success": true,
"result": {
"id": "f174e90afafe4643bbbc4a0ed4fc8415"
}
}